/* p-sitemap
---------------------------------------------------------------------------- */
.p-sitemap {
  padding-block: 12.8rem 11rem;
}

.p-sitemap-inner {
  max-width: 105rem;
  margin-inline: auto;
}

.p-sitemap-blocks {
  display: flex;
  flex-direction: column;
  gap: 4.3rem;
}

.p-sitemap-block {
  padding-bottom: 4.5rem;
  border-bottom: 1px solid currentColor;
}

.p-sitemap-block-items {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
}

.p-sitemap-block-item {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  padding-inline: 3rem 0;
}
.p-sitemap-block-item._col02 {
  grid-column: span 2;
}

.p-sitemap-block-item:not(:last-child) {
  border-right: 1px dashed currentColor;
}

.p-sitemap-block-item-link {
  font-size: 2.2rem;
  line-height: 1.5;
  font-weight: 700;
  display: flex;
  align-items: center;
  gap: 1rem;
}

.p-sitemap-block-item-link ._icn {
  display: block;
  width: 2.4rem;
  aspect-ratio: 1;
  background-color: #09237D;
  position: relative;
  border-radius: 50%;
}

.p-sitemap-block-item-link ._icn::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 30%;
  transform: translateY(-50%);
  width: 1.1rem;
  aspect-ratio: 1;
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  background-image: url("/assets/images/common/icn_arrow_right.svg");
}

.p-sitemap-block-item-link:hover ._icn::before {
  animation: arrow 0.5s;
}

.p-sitemap-block-item-children {
  display: flex;
  gap: 0 6rem;
}

.p-sitemap-block-item-child {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
.p-sitemap-block-item-children .p-sitemap-block-item-child {
  flex: 1;
}

.p-sitemap-block-item-child-ttl {
  font-size: 2rem;
  line-height: 1.5;
  font-weight: 700;
}
.p-sitemap-block-item-child-ttl._tokyo {
  color: #0061A8;
}
.p-sitemap-block-item-child-ttl._nagoya {
  color: #00664E;
}

.p-sitemap-block-item-child-lists {
  display: flex;
  flex-direction: column;
  gap: 0.6rem;
}

.p-sitemap-block-item-child-link {
  font-size: 1.8rem;
  line-height: 1.5;
  font-weight: 400;
  display: grid;
  grid-template-columns: auto auto;
  align-items: center;
  justify-content: flex-start;
  column-gap: 0.6rem;
  padding-left: 0.8rem;
}

.p-sitemap-block-item-child-link::before {
  content: "";
  width: 0.8rem;
  aspect-ratio: 1;
  background-color: #09237D;
  border-radius: 50%;
}

@media screen and (max-width: 767px) {
  .p-sitemap {
    padding-block: 18.6666666667vw;
  }
  .p-sitemap-inner {
    max-width: initial;
    padding-inline: 5.3333333333vw;
  }
  .p-sitemap-blocks {
    gap: 7.2vw;
  }
  .p-sitemap-block {
    padding-bottom: initial;
    border-bottom: none;
  }
  .p-sitemap-block-items {
    grid-template-columns: 1fr;
    gap: 7.2vw;
  }
  .p-sitemap-block-item {
    gap: 5.3333333333vw;
    padding-inline: 5.3333333333vw 0;
    padding-bottom: 6.4vw;
    border-bottom: 1px dashed currentColor;
  }
  .p-sitemap-block-item._col02 {
    grid-column: initial;
  }
  .p-sitemap-block-item:not(:last-child) {
    border-right: none;
  }
  .p-sitemap-block:last-child .p-sitemap-block-item:last-child {
    border-bottom: none;
    padding-bottom: initial;
  }
  .p-sitemap-block-item-link {
    font-size: 5.3333333333vw;
    gap: 2.1333333333vw;
  }
  .p-sitemap-block-item-link ._icn {
    width: 5.3333333333vw;
  }
  .p-sitemap-block-item-link ._icn::before {
    width: 2.6666666667vw;
    left: 27%;
  }
  .p-sitemap-block-item-children {
    flex-direction: column;
    gap: 5.3333333333vw;
    margin-top: 0.8vw;
  }
  .p-sitemap-block-item-child {
    gap: 6.6666666667vw;
  }
  .p-sitemap-block-item-child-ttl {
    font-size: 4.2666666667vw;
  }
  .p-sitemap-block-item-child-lists {
    gap: 4.8vw;
  }
  .p-sitemap-block-item-child-link {
    font-size: 4.2666666667vw;
    column-gap: 1.6vw;
    padding-left: initial;
  }
  .p-sitemap-block-item-child-link::before {
    width: 1.8666666667vw;
  }
}
